```wmd-options
language = es
title_i18n = errors_manager_title_bits
title_text = bits - ErrorsManager
```

<!-- [[wmd]] -->

### bits

[[@ [integer] ErrorsManager.bits(!Integer|String|Array<Integer> code)]]

El método **bits** es un método objeto que retorna el número de bits que contiene el código de error, que viene siendo el número de comprobaciones Booleanas que contiene.

```py
#!/usr/bin/env python
# -*- coding: utf-8 -*-

from Assets.ErrorsManager import ErrorsManager

errors_manager:ErrorsManager = ErrorsManager()

print(errors_manager.bits(105))
print(errors_manager.bits("pB"))
print(errors_manager.bits([41, 1]))

```

```js
"use strict";

/** @type {ErrorsManager} */
const errors_manager = new ErrorsManager();

console.log(errors_manager.bits(105));
console.log(errors_manager.bits("pB"));
console.log(errors_manager.bits([41, 1]));

```

La respuesta en todos los casos sería 7.

> [!!] Es importante destacar que el número de Bits parte desde la última comprobación de error Booleano que dio "true", es decir, si se esperan 20 comprobaciones pero los últimos valores de comprobación son "false", es decir, que no tienen error, éstos no saldrán reflejados en el valor de bits final, a excepción de valores de relleno que pueden ser dados en los Sring y los Array.

<!-- [[wmd]] -->