```wmd-options
language = es
title_i18n = errors_manager_title_get_alphabet
title_text = get_alphabet - ErrorsManager
```

<!-- [[wmd]] -->

### get_alphabet

[[@ [string] ErrorsManager.get_alphabet()]]

El método **get_alphabet** es un método objeto que retorna el alfabeto actualmente en uso del objeto ErrorsManager.

```py
#!/usr/bin/env python
# -*- coding: utf-8 -*-

from Assets.ErrorsManager import ErrorsManager

mi_alfabeto:str = "qwertyuiopasdfghjklzxcvbnm1234567890QWERTYUIOPASDFGHJKLZXCVBNM+/"
errors_manager:ErrorsManager = ErrorsManager(mi_alfabeto)

# Imprime mi alfabeto como alfabeto actual en uso.
print(errors_manager.get_alphabet())

```

```js
"use strict";

/** @type {String} */
const mi_alfabeto = "qwertyuiopasdfghjklzxcvbnm1234567890QWERTYUIOPASDFGHJKLZXCVBNM+/", 
      /** @type {ErrorsManager} */
      errors_manager = new ErrorsManager(mi_alfabeto);

// Imprime mi alfabeto como alfabeto actual en uso.
console.log(errors_manager.get_alphabet());

```

<!-- [[wmd]] -->