```wmd-options
language = es
title_i18n = errors_manager_title_has_range
title_text = has_range - ErrorsManager
```

<!-- [[wmd]] -->

### has_range

[[@ [Boolean] ErrorsManager.has_range(!Integer|String|Array<Integer> code, !Integer _from, Integer _to)]]

El método **has_range** es un método objeto que verifica si hay error o no en un rango de bits del código dado o no.

```py
#!/usr/bin/env python
# -*- coding: utf-8 -*-

from Assets.ErrorsManager import ErrorsManager

errors_manager:ErrorsManager = ErrorsManager()

print(("Prueba 1", errors_manager.has_range(105, 2, 6)))
print(("Prueba 2", errors_manager.has_range("pB", 2, 6)))
print(("Prueba 3", errors_manager.has_range([41, 1], 2, 6)))

print(("Prueba 4", errors_manager.has_range(105, 1, 2)))
print(("Prueba 5", errors_manager.has_range("pB", 1, 2)))
print(("Prueba 6", errors_manager.has_range([41, 1], 1, 2)))

print(("Prueba 7", errors_manager.has_range(105, 4)))
print(("Prueba 8", errors_manager.has_range("pB", 4)))
print(("Prueba 9", errors_manager.has_range([41, 1], 4)))

print(("Prueba 10", errors_manager.has_range(105, 0, 2)))
print(("Prueba 11", errors_manager.has_range("pB", 0, 2)))
print(("Prueba 12", errors_manager.has_range([41, 1], 0, 2)))

```

```js
"use strict";

/** @type {ErrorsManager} */
const errors_manager = new ErrorsManager();

console.log(("Prueba 1", errors_manager.has_range(105, 2, 6)));
console.log(("Prueba 2", errors_manager.has_range("pB", 2, 6)));
console.log(("Prueba 3", errors_manager.has_range([41, 1], 2, 6)));

console.log(("Prueba 4", errors_manager.has_range(105, 1, 2)));
console.log(("Prueba 5", errors_manager.has_range("pB", 1, 2)));
console.log(("Prueba 6", errors_manager.has_range([41, 1], 1, 2)));

console.log(("Prueba 7", errors_manager.has_range(105, 4)));
console.log(("Prueba 8", errors_manager.has_range("pB", 4)));
console.log(("Prueba 9", errors_manager.has_range([41, 1], 4)));

console.log(("Prueba 10", errors_manager.has_range(105, 0, 2)));
console.log(("Prueba 11", errors_manager.has_range("pB", 0, 2)));
console.log(("Prueba 12", errors_manager.has_range([41, 1], 0, 2)));

```

La respuesta a estos ejemplos sería:

[|
|=  Prueba  | Python    | JavaScript
|   1       | True      | true
|   2       | True      | true
|   3       | True      | true
|   4       | False     | false
|   5       | False     | false
|   6       | False     | false
|   7       | False     | false
|   8       | False     | false
|   9       | False     | false
|   10      | True      | true
|   11      | True      | true
|   12      | True      | true
|]

> [!!] El atributo **_from** es obligatorio, sin embargo, el atributo **_to** es opcional. Cuando **_to** no está definido se entiende que es hasta el último Bit.

<!-- [[wmd]] -->