```wmd-options
language = es
title_i18n = errors_manager_title_join
title_text = join - ErrorsManager
```

<!-- [[wmd]] -->

### join

[[@ [String] ErrorsManager.set(!String code, !string error, Integer bit = 0, Integer length = 0)]]

El método **join** es un método objeto que nos permite realizar dos acciones:

* Unir dos códigos de error en formato String, el segundo sobre el primero en la posición dada.
* Y también nos permite resetear Bits del código de error a 0. 

Ambas funciones de unir códigos y resetear a cero son mezclables, es decir, cuando se une un segundo código de error en formato String, éste se une mediante "OR" al código actual desde la posición que se le determine, por tanto, si lo que se quiere es substituir Bits lo que hay que hacer es pasar a cero los Bits que se crean que vayan a ser alterados.

> [!!] Es importante destacar que en lenguajes de tipados flexibles como JavaScript, esta función puede cubrir no sólo códigos de error en formato numérico String sino también en Integer y Array, y es el motivo por el cual se puede encontrar este método como unificado en dichos entornos. Para este motivo tendríamos la siguiente estructura de método.

[[@ [String] ErrorsManager.join(!(String|Integer|Array<Integer>) code, !(String|Integer|Array<Integer>) error, Integer bit = 0, Integer length = 0)]]

> [!!] Para lenguajes rígidos como los SQL, C#, etc. Para poder integrar otro código de error Integer es necesario llamar al método "set" en vez de a éste, en los lenguajes flexibles puede hacerse uso de ambos.

<!-- [[wmd]] -->