```wmd-options
language = es
title_i18n = errors_manager_title_set_alphabet
title_text = set_alphabet - ErrorsManager
```

<!-- [[wmd]] -->

### set_alphabet

[[@ ErrorsManager.set_alphabet(?!String alphabet)]]

El método **set_alphabet** es un método objeto para establecer de forma externa al objeto, el alfabeto que determinará el código resultante de error y que condicionará su interpretación. Dicha función tendrá de entrada la nueva cadena la cual será un String de al menos 64 caracteres, y éstos han de ser distintos entre sí o funcionará mal. No hay retorno.

```py
#!/usr/bin/env python
# -*- coding: utf-8 -*-

from Assets.ErrorsManager import ErrorsManager

errors_manager:ErrorsManager = ErrorsManager()
nuevo_alfabeto:str = "qwertyuiopasdfghjklzxcvbnm1234567890QWERTYUIOPASDFGHJKLZXCVBNM+/"

# Imprime el alfabeto por defecto.
print(errors_manager.get_alphabet())

errors_manager.set_alphabet(nuevo_alfabeto)

# Imprime el nuevo alfabeto con su nuevo orden.
print(errors_manager.get_alphabet())

```

```js
"use strict";

/** @type {ErrorsManager} */
const errors_manager = new ErrorsManager(), 
      /** @type {String} */
      nuevo_alfabeto = "qwertyuiopasdfghjklzxcvbnm1234567890QWERTYUIOPASDFGHJKLZXCVBNM+/";

// Imprime el alfabeto por defecto.
console.log(errors_manager.get_alphabet());

errors_manager.set_alphabet(nuevo_alfabeto);

// Imprime el nuevo alfabeto con su nuevo orden.
console.log(errors_manager.get_alphabet());

```

> [!!] Se pueden cambiar los caracteres por otros que no sean necesariamente de base64, sin embargo, hay que tener en cuenta la compatibilidad entre plataformas e interpretación de dichos caracteres tanto en el traspaso de una plataforma a otra así como en la capacidad del lenguaje que se esté trabajando. Se aconseja ir siempre a la parte más restrictiva del proyecto.

<!-- [[wmd]] -->