```wmd-options
language = es
title_i18n = errors_manager_title_to_array
title_text = to_array - ErrorsManager
```

<!-- [[wmd]] -->

### to_array

[[@ [Array<Integer>] ErrorsManager.to_array(!Integer|String|Array<Integer> code, Integer length)]]

El método **to_array** es un método objeto que transforma un código de error cualquiera en un código de error de tipo Array con la opción de especificar bits de relleno con 0.

```py
#!/usr/bin/env python
# -*- coding: utf-8 -*-

from Assets.ErrorsManager import ErrorsManager

errors_manager:ErrorsManager = ErrorsManager()

print(errors_manager.to_array(105))
print(errors_manager.to_array("pB"))
print(errors_manager.to_array([41, 1]))

print(errors_manager.to_array(105, 20))
print(errors_manager.to_array("pB", 20))
print(errors_manager.to_array([41, 1], 20))

```

```js
"use strict";

/** @type {ErrorsManager} */
const errors_manager = new ErrorsManager();

console.log(errors_manager.to_array(105));
console.log(errors_manager.to_array("pB"));
console.log(errors_manager.to_array([41, 1]));

console.log(errors_manager.to_array(105, 20));
console.log(errors_manager.to_array("pB", 20));
console.log(errors_manager.to_array([41, 1], 20));

```

La respuesta en 3 primeros casos sería el Array \[41, 1], mientras que en los otros 3 sería \[41, 1, 0, 0].

> [!!] Si se especifica el valor "length", éste rellenará el Array con tantos 0 como requiera.

<!-- [[wmd]] -->