```wmd-options
language = es
title_i18n = errors_manager_title_to_array_binary
title_text = to_array_binary - ErrorsManager
```

<!-- [[wmd]] -->

### to_array_binary

[[@ [Array<String>] ErrorsManager.to_array_binary(!Integer|String|Array<Integer> code)]]

El método **to_array_binary** es un método objeto que transforma un código de error cualquiera en un Array de hexas en binario en formato String.

```py
#!/usr/bin/env python
# -*- coding: utf-8 -*-

from Assets.ErrorsManager import ErrorsManager

errors_manager:ErrorsManager = ErrorsManager()

print(errors_manager.to_array_binary(105))
print(errors_manager.to_array_binary("pB"))
print(errors_manager.to_array_binary([41, 1]))

```

```js
"use strict";

/** @type {ErrorsManager} */
const errors_manager = new ErrorsManager();

console.log(errors_manager.to_array_binary(105));
console.log(errors_manager.to_array_binary("pB"));
console.log(errors_manager.to_array_binary([41, 1]));

```

La respuesta en todos los casos sería el Array \["101001", "000001"].

> [!!] El valor devuelto por este método no es trabajable como código de error pues sólo existe a modo de comprobaciones.

<!-- [[wmd]] -->