```wmd-options
language = es
title_i18n = errors_manager_title_to_integer
title_text = to_integer - ErrorsManager
```

<!-- [[wmd]] -->

### to_integer

[[@ [Integer] ErrorsManager.to_integer(!Integer|String|Array<Integer> code)]]

El método **to_integer** es un método objeto que transforma un código de error cualquiera en un código de error de tipo Integer.

```py
#!/usr/bin/env python
# -*- coding: utf-8 -*-

from Assets.ErrorsManager import ErrorsManager

errors_manager:ErrorsManager = ErrorsManager()

print(errors_manager.to_integer(105))
print(errors_manager.to_integer("pB"))
print(errors_manager.to_integer([41, 1]))

```

```js
"use strict";

/** @type {ErrorsManager} */
const errors_manager = new ErrorsManager();

console.log(errors_manager.to_integer(105));
console.log(errors_manager.to_integer("pB"));
console.log(errors_manager.to_integer([41, 1]));

```

La respuesta en todos los casos sería el valor numérico entero 105.

> [!! IMPORTANTE] Si el código de error tiene más Bits de los que puede trabajar el lenguaje donde se encuentra la librería, éste detendrá el proceso con una Excepción.

<!-- [[wmd]] -->