#!/usr/bin/env python
# -*- coding: utf-8 -*-

from Abstracts.Applications import ApplicationsAbstract
from Abstracts.AnPMap import AnP, Optional, Any
from os.path import abspath as path_absolute
from os.path import dirname as directory_name

class ErrorsManager(ApplicationsAbstract):

    def __init__(self, anp:AnP|None, inputs:Optional[dict[str, Any|None]|tuple|list] = None) -> None:
        super().__init__(anp, "errors_manager", anp.path.get_parent(path_absolute(directory_name(__file__))), {
            **anp.get_dictionary(inputs), 
            "errors_manager_default_settings_files" : "/JSON/ErrorsManager.py.settings.json"
        })